| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TupleTool Class Reference

`#include <components/TupleTool.h>`

Inheritance diagram for TupleTool:

[legend]
Collaboration diagram for TupleTool:

[legend]
List of all members.

## Detailed Description

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2004-06-28

Definition at line 20 of file TupleTool.h.

## Public Types
typedef Tuples::Tuple | Tuple
typedef GaudiAlg::TupleID | TupleID
## Public Member Functions
| TupleTool (const std::string &type, const std::string &name, const IInterface *parent)
| Standard constructor.
virtual | ~TupleTool ()
| destructor: virtual and protected
virtual Tuple | nTuple (const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
| get N-tuple object ( book on-demand ) with unique identidier
virtual Tuple | nTuple (const TupleID &ID, const std::string &title="", const CLID &clid=CLID_ColumnWiseTuple) const
virtual Tuple | evtCol (const std::string &title, const CLID &clid=CLID_RowWiseTuple) const
virtual Tuple | evtCol (const TupleID &ID, const std::string &title="", const CLID &clid=CLID_RowWiseTuple) const
## Private Member Functions
| TupleTool ()
| TupleTool (const TupleTool &)
TupleTool & | operator= (const TupleTool &)

## Member Typedef Documentation

typedef Tuples::Tuple TupleTool::Tuple

Reimplemented from ITupleTool.

Definition at line 24 of file TupleTool.h.

typedef GaudiAlg::TupleID TupleTool::TupleID

Reimplemented from ITupleTool.

Definition at line 25 of file TupleTool.h.

## Constructor & Destructor Documentation

TupleTool::TupleTool | ( | const std::string & | type,
|  | const std::string & | name,
|  | const IInterface * | parent |
| ) |  |  |

Standard constructor.

See also:
  GaudiTupleTool

  GaudiHistoTool

  GaudiTool

  AlgTool

Parameters:

  | type | tool type (?)
  | name | tool name
  | parent | pointer to parent component

Definition at line 37 of file TupleTool.cpp.

    00040   : GaudiTupleTool ( type, name , parent )
    00041 {
    00042   declareInterface<ITupleTool>(this);
    00043 };

TupleTool::~TupleTool | ( |  | ) | `[virtual]`

destructor: virtual and protected

Definition at line 49 of file TupleTool.cpp.

    00049 {};

TupleTool::TupleTool | ( |  | ) | `[private]`

TupleTool::TupleTool | ( | const TupleTool & |  | ) | `[private]`

## Member Function Documentation

virtual Tuple TupleTool::nTuple | ( | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | const`[inline, virtual]`

get N-tuple object ( book on-demand ) with unique identidier

      ITupleTool* tool = .. ;
      Tuple tuple = tool-> nTuple( 'My tuple' ) ;
      tuple->column( "A" , sin(0.1) );
      tuple->column( "B" , cos(0.1) );
      tuple->column( "C" , tan(0.1) );
      tuple->write()

NTuple will be booked with automatically assigned numerical ID

Parameters:

  | title | unique title for ntuple
  | clid | class identifier

Returns:
  ntuple object

Implements ITupleTool.

Definition at line 65 of file TupleTool.h.

References GaudiTuples< GaudiHistoTool >::nTuple().

    00067   { return GaudiTupleTool::nTuple (      title , clid ) ; }

virtual Tuple TupleTool::nTuple | ( | const TupleID & | ID,
|  | const std::string & | title = `""`,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | const`[inline, virtual]`

Definition at line 71 of file TupleTool.h.

References GaudiTuples< GaudiHistoTool >::nTuple().

    00074   { return GaudiTupleTool::nTuple ( ID , title , clid ) ; }

virtual Tuple TupleTool::evtCol | ( | const std::string & | title,
|  | const CLID & | clid = `CLID_RowWiseTuple` |
| ) |  |  | const`[inline, virtual]`

Implements ITupleTool.

Definition at line 77 of file TupleTool.h.

References GaudiTuples< GaudiHistoTool >::evtCol().

    00079   { return GaudiTupleTool::evtCol (      title , clid ) ; }

virtual Tuple TupleTool::evtCol | ( | const TupleID & | ID,
|  | const std::string & | title = `""`,
|  | const CLID & | clid = `CLID_RowWiseTuple` |
| ) |  |  | const`[inline, virtual]`

Definition at line 82 of file TupleTool.h.

References GaudiTuples< GaudiHistoTool >::evtCol().

    00085   { return GaudiTupleTool::evtCol ( ID , title , clid ) ; }

TupleTool& TupleTool::operator= | ( | const TupleTool & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/components/TupleTool.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/components/TupleTool.cpp